from sqlalchemy import Column, String, TIMESTAMP, Integer, Text, Enum
from sqlalchemy.dialects.mysql import INTEGER

from .base_model import Base


class BookCategoryStatisticsOverview(Base):
    __tablename__ = 'book_category_statistics_overview'
    __table_args__ = {'extend_existing': True}

    name = Column(String)
    book_count = Column(INTEGER(unsigned=True), default=0)

    def __repr__(self):
        return (f"<BookCategoryStatisticsOverview(book_category_id={self.book_category_id}, book_count={self.book_count})>")


__all__ = ["BookCategoryStatisticsOverview"]
